Find Place(以前の機能)リクエストはテキスト入力を受け取り、場所を返します。入力には、名前、住所、電話番号など、プレイスに関するあらゆるテキストデータを使用できます。リクエストは文字列にする必要があります。緯度/経度座標や plus code など、文字列以外のデータを使用した Find Place(以前の機能)リクエストはエラーになります。
Find Place(以前の機能)リクエスト
Find Place(以前の機能)リクエストは、次の形式の HTTP URL です。
https://maps.googleapis.com/maps/api/place/findplacefromtext/output?parameters
ここで、output は次のいずれかの値になります。
json(推奨)は、JavaScript Object Notation(JSON)での出力を示します。xmlは、XML としての出力を示します。
Find Place(以前の機能)リクエストを開始するには、特定のパラメータが必要です。URL の標準規則と同様に、すべてのパラメータはアンパサンド(&)文字を使用して区切ります。
必須パラメータ
-
入力
検索するテキスト文字列(「レストラン」、「123 番通り 」など)です。地名、住所、施設のカテゴリのいずれかを入力する必要があります。他の種類のテキストを入力した場合、有効な結果が返されず、エラーが発生する場合があります。Places API はこの文字列と一致する候補を、関連性の高い順に並べて結果として返します。
-
入力タイプ
入力のタイプ。
textqueryまたはphonenumberのいずれかになります。電話番号は、国際電話形式 (先頭にプラス記号(+)、国コード、電話番号の順)にする必要があります。詳しくは、 ITU 勧告 E.164 を参照してください。
オプション パラメータ
-
fields
注意: Place Search リクエストと Place Details リクエストで、同じフィールドが返されることはありません。Place Search リクエストでは、Place Details リクエストで返されるフィールドのサブセットが返されます。目的のフィールドが Place Search で返されない場合は、Place Search を使用してplace_idを取得してから、そのプレイス ID を使用して Place Details リクエストを実行します。Place Search リクエストで使用できないフィールドについて詳しくは、Places API のフィールドのサポートをご覧ください。fields パラメータを使用して、返す場所データのタイプのカンマ区切りのリストを指定します。例:
fields=formatted_address,name,geometry。複合的な値を指定する場合はスラッシュ を使用します。例:opening_hours/open_now.フィールドは、3 つの請求カテゴリに分けられます: Basic、 Contact、および Atmosphere。 Basic フィールドは基本レートで課金され、Contact フィールドと Atmosphere フィールドはより高い レートで課金されます。Basic、Contact、Atmosphere の各 SKU は、リクエストをトリガーした基本 SKU(Place Details、Find Place、Nearby Search、テキスト検索)に加えて課金されます。詳細については、料金表をご覧ください。
Basic
Basic カテゴリには次のフィールドが含まれます:
address_components,adr_address,business_status,formatted_address,geometry,icon,icon_mask_base_uri,icon_background_color,name,permanently_closed(サポート終了),photo,place_id,plus_code,type,url,utc_offset,vicinity,wheelchair_accessible_entrance.連絡先
Contact カテゴリには、次のフィールドがあります。
current_opening_hours,formatted_phone_number,international_phone_number,opening_hours,secondary_opening_hours,websiteAtmosphere
Atmosphere カテゴリには、次のフィールドが含まれます。
curbside_pickup,delivery,dine_in,editorial_summary,price_level,rating,reservable,reviews,serves_beer,serves_breakfast,serves_brunch,serves_dinner,serves_lunch,serves_vegetarian_food,serves_wine,takeout,user_ratings_total.注: アトリビューション(html_attributions)は、このフィールドがリクエストされているかどうかにかかわらず、呼び出しのたびに必ず返されます。 -
language
結果を返す言語。
- サポートされている言語の 一覧をご覧ください。サポート対象の言語は頻繁に更新されるため、このリストで網羅されていない場合があります。
-
languageが指定されていない場合、API はAccept-Languageヘッダーで指定された優先言語を使用しようとします。 - API は、ユーザーと地域住民の両方が読める番地を提供できるよう 最善を尽くします。そのため、優先言語を遵守し、必要に応じてユーザーが読めるスクリプトに音訳して、番地を現地の言語で返します。その他の 住所はすべて優先言語で返されます。住所の構成要素は すべて同じ言語で返されます。この言語は最初の 構成要素から選択されます。
- 優先言語で名前が利用できない場合、API は最も近い一致を使用します。
- 優先言語は、API が返す結果のセットと、結果が返される順序にわずかな影響を与えます。ジオコーダは、言語によって略語(通りの種類を表す略語など)や同義語の解釈が異なります。ある言語では有効でも、別の言語では有効でない場合があります。たとえば、ハンガリー語では utca と tér は通りの同義語です。
-
locationbias
半径と緯度/経度を指定するか、長方形の点を表す 2 つの緯度/経度ペアを指定して、指定したエリアの結果を優先します。このパラメータが指定されていない場合、API はデフォルトで IP アドレスのバイアスを使用します。
-
IP バイアス: IP アドレスのバイアスを使用するように API に指示します。文字列
ipbiasを渡します(このオプションには追加のパラメータはありません)。 -
円形: 半径をメートル単位で指定する文字列と、緯度/経度を 10 進度で指定する文字列
。
circle:radius@lat,lng形式を使用します。 -
長方形: 長方形の南西と北東の点を表す 2 つの緯度 / 経度ペアを 10 進度で指定する文字列。
次の形式を使用します:
rectangle:south,west|north,east。東西の値は -180 ~ 180 の範囲にラップされ、南北の値は -90 ~ 90 の範囲にクランプされます。
-
IP バイアス: IP アドレスのバイアスを使用するように API に指示します。文字列
Find Place(以前の機能)の例
次の例は、「Museum of Contemporary Art Australia」に対する Find Place(以前の機能)リクエストで、photos、formatted_address、name、rating、opening_hours、geometry のフィールドを指定しています。
URL
https://maps.googleapis.com/maps/api/place/findplacefromtext/json ?fields=formatted_address%2Cname%2Crating%2Copening_hours%2Cgeometry &input=Museum%20of%20Contemporary%20Art%20Australia &inputtype=textquery &key=YOUR_API_KEY
cURL
curl -L -X GET 'https://maps.googleapis.com/maps/api/place/findplacefromtext/json?input=Museum%20of%20Contemporary%20Art%20Australia&inputtype=textquery&fields=formatted_address%2Cname%2Crating%2Copening_hours%2Cgeometry&key=YOUR_API_KEY'
次の例は、「Mongolian Grill」に対する Find Place(以前の機能)リクエストで、locationbias パラメータを使用して、指定した座標から 2,000 メートル以内の結果を優先しています。
URL
https://maps.googleapis.com/maps/api/place/findplacefromtext/json ?fields=formatted_address%2Cname%2Crating%2Copening_hours%2Cgeometry &input=mongolian &inputtype=textquery &locationbias=circle%3A2000%4047.6918452%2C-122.2226413 &key=YOUR_API_KEY
cURL
curl -L -X GET 'https://maps.googleapis.com/maps/api/place/findplacefromtext/json?input=mongolian&inputtype=textquery&locationbias=circle%3A2000%4047.6918452%2C-122.2226413&fields=formatted_address%2Cname%2Crating%2Copening_hours%2Cgeometry&key=YOUR_API_KEY'
次の例は、電話番号に対する Find Place(以前の機能)リクエストを示しています。国際電話の プレフィックス「+」は %2B にエンコードされているため、このリクエストは準拠 URL になります。エンコードされていない場合、+ プレフィックスはサーバーでスペースにデコードされ、無効な 電話番号検索になります。
URL
https://maps.googleapis.com/maps/api/place/findplacefromtext/json ?input=%2B16502530000 &inputtype=phonenumber &key=YOUR_API_KEY
cURL
curl -L -X GET 'https://maps.googleapis.com/maps/api/place/findplacefromtext/json?input=%2B16502530000&inputtype=phonenumber&key=YOUR_API_KEY'
Find Place(以前の機能)のレスポンス
Find Place(以前の機能)のレスポンスには、
fields パラメータを使用して指定されたデータ型と
html_attributions のみが含まれます。次の例は、「Museum of Contemporary Art Australia」に対する Find Place(以前の機能)リクエストのレスポンスで、formatted_address、geometry、name、opening_hours、photos、rating のフィールドが含まれています。
JSON
{ "candidates": [ { "formatted_address": "140 George St, The Rocks NSW 2000, Australia", "geometry": { "location": { "lat": -33.8599358, "lng": 151.2090295 }, "viewport": { "northeast": { "lat": -33.85824377010728, "lng": 151.2104386798927 }, "southwest": { "lat": -33.86094342989272, "lng": 151.2077390201073 }, }, }, "name": "Museum of Contemporary Art Australia", "opening_hours": { "open_now": false }, "rating": 4.4, }, ], "status": "OK", }
XML
<FindPlaceFromTextResponse> <candidates> <name>Museum of Contemporary Art Australia</name> <formatted_address>140 George St, The Rocks NSW 2000, Australia</formatted_address> <geometry> <location> <lat>-33.8599358</lat> <lng>151.2090295</lng> </location> <viewport> <southwest> <lat>-33.8609434</lat> <lng>151.2077390</lng> </southwest> <northeast> <lat>-33.8582438</lat> <lng>151.2104387</lng> </northeast> </viewport> </geometry> <rating>4.4</rating> <opening_hours> <open_now>false</open_now> </opening_hours> </candidates> <status>OK</status> </FindPlaceFromTextResponse>
PlacesFindPlaceFromTextResponse
| Field | Required | Type | Description |
|---|---|---|---|
| required | Array<Place> | Contains an array of Place candidates.
Place Search requests return a subset of the fields that are
returned by Place Details requests. If the field you want is not
returned by Place Search, you can use Place Search to get a
place_id, then use that Place ID to make a Place Details request.
See Place for more information. |
| required | PlacesSearchStatus | Contains the status of the request, and may contain debugging information to help you track down why the request failed. See PlacesSearchStatus for more information. |
| optional | string |
When the service returns a status code other than
|
| optional | Array<string> |
When the service returns additional information about the request
specification, there may be an additional
|
PlacesSearchStatus
Status codes returned by service.
OKindicating the API request was successful.ZERO_RESULTSindicating that the search was successful but returned no results. This may occur if the search was passed alatlngin a remote location.INVALID_REQUESTindicating the API request was malformed, generally due to missing required query parameter (locationorradius).OVER_QUERY_LIMITindicating any of the following:- You have exceeded the QPS limits.
- Billing has not been enabled on your account.
- The monthly $200 credit, or a self-imposed usage cap, has been exceeded.
- The provided method of payment is no longer valid (for example, a credit card has expired).
REQUEST_DENIEDindicating that your request was denied, generally because:- The request is missing an API key.
- The
keyparameter is invalid.
UNKNOWN_ERRORindicating an unknown error.
Place
Attributes describing a place. Not all attributes will be available for all place types.
| Field | Required | Type | Description |
|---|---|---|---|
| optional | Array<AddressComponent> | An array containing the separate components applicable to this address. See AddressComponent for more information. |
| optional | string | A representation of the place's address in the adr microformat. |
| optional | string |
Indicates the operational status of the place, if it is a business.
If no data exists,
The allowed values include: OPERATIONAL,
CLOSED_TEMPORARILY, and CLOSED_PERMANENTLY |
| optional | boolean | Specifies if the business supports curbside pickup. |
| optional | PlaceOpeningHours |
Contains the hours of operation for the next seven days (including
today). The time period starts at midnight on the date of the
request and ends at 11:59 pm six days later. This field includes the
See PlaceOpeningHours for more information. |
| optional | boolean | Specifies if the business supports delivery. |
| optional | boolean | Specifies if the business supports indoor or outdoor seating options. |
| optional | PlaceEditorialSummary | Contains a summary of the place. A summary is comprised of a textual overview, and also includes the language code for these if applicable. Summary text must be presented as-is and can not be modified or altered. See PlaceEditorialSummary for more information. |
| optional | string | A string containing the human-readable address of this place. Often this address is equivalent to the postal address. Note that some countries, such as the United Kingdom, do not allow distribution of true postal addresses due to licensing restrictions. The formatted address is logically composed of one or more address components. For example, the address "111 8th Avenue, New York, NY" consists of the following components: "111" (the street number), "8th Avenue" (the route), "New York" (the city) and "NY" (the US state). Do not parse the formatted address programmatically. Instead you should use the individual address components, which the API response includes in addition to the formatted address field. |
| optional | string | Contains the place's phone number in its local format. |
| optional | Geometry | Contains the location and viewport for the location. See Geometry for more information. |
| optional | string | Contains the URL of a suggested icon which may be displayed to the user when indicating this result on a map. |
| optional | string | Contains the default HEX color code for the place's category. |
| optional | string |
Contains the URL of a recommended icon, minus the
|
| optional | string |
Contains the place's phone number in international format.
International format includes the country code, and is prefixed with
the plus, +, sign. For example, the international_phone_number for
Google's Sydney, Australia office is |
| optional | string |
Contains the human-readable name for the returned result. For
|
| optional | PlaceOpeningHours | Contains the regular hours of operation. See PlaceOpeningHours for more information. |
| optional | boolean |
Use |
| optional | Array<PlacePhoto> | An array of photo objects, each containing a reference to an image. A request may return up to ten photos. More information about place photos and how you can use the images in your application can be found in the Place Photos documentation. See PlacePhoto for more information. |
| optional | string |
A textual identifier that uniquely identifies a place. To retrieve
information about the place, pass this identifier in the
|
| optional | PlusCode | An encoded location reference, derived from latitude and longitude coordinates, that represents an area: 1/8000th of a degree by 1/8000th of a degree (about 14m x 14m at the equator) or smaller. Plus codes can be used as a replacement for street addresses in places where they do not exist (where buildings are not numbered or streets are not named). See Open Location Code and plus codes. See PlusCode for more information. |
| optional | number | The price level of the place, on a scale of 0 to 4. The exact amount indicated by a specific value will vary from region to region. Price levels are interpreted as follows:
|
| optional | number | Contains the place's rating, from 1.0 to 5.0, based on aggregated user reviews. |
| optional | string | |
| optional | boolean | Specifies if the place supports reservations. |
| optional | Array<PlaceReview> |
A JSON array of up to five reviews. By default, the reviews are
sorted in order of relevance. Use the
Google recommends indicating to users whether results are ordered by
See PlaceReview for more information. |
| optional | string | |
| optional | Array<PlaceOpeningHours> |
Contains an array of entries for the next seven days including
information about secondary hours of a business. Secondary hours are
different from a business's main hours. For example, a restaurant
can specify drive through hours or delivery hours as its secondary
hours. This field populates the See PlaceOpeningHours for more information. |
| optional | boolean | Specifies if the place serves beer. |
| optional | boolean | Specifies if the place serves breakfast. |
| optional | boolean | Specifies if the place serves brunch. |
| optional | boolean | Specifies if the place serves dinner. |
| optional | boolean | Specifies if the place serves lunch. |
| optional | boolean | Specifies if the place serves vegetarian food. |
| optional | boolean | Specifies if the place serves wine. |
| optional | boolean | Specifies if the business supports takeout. |
| optional | Array<string> | Contains an array of feature types describing the given result. See the list of supported types. |
| optional | string | Contains the URL of the official Google page for this place. This will be the Google-owned page that contains the best available information about the place. Applications must link to or embed this page on any screen that shows detailed results about the place to the user. |
| optional | number | The total number of reviews, with or without text, for this place. |
| optional | number | Contains the number of minutes this place’s current timezone is offset from UTC. For example, for places in Sydney, Australia during daylight saving time this would be 660 (+11 hours from UTC), and for places in California outside of daylight saving time this would be -480 (-8 hours from UTC). |
| optional | string |
For establishment (
For all other results, the This content is meant to be read as-is. Do not programmatically parse the formatted address. |
| optional | string | The authoritative website for this place, such as a business' homepage. |
| optional | boolean | Specifies if the place has an entrance that is wheelchair-accessible. |
PlaceEditorialSummary
Contains a summary of the place. A summary is comprised of a textual overview, and also includes the language code for these if applicable. Summary text must be presented as-is and can not be modified or altered.
| Field | Required | Type | Description |
|---|---|---|---|
| optional | string | The language of the previous fields. May not always be present. |
| optional | string | A medium-length textual summary of the place. |
PlaceOpeningHours
An object describing the opening hours of a place.
| Field | Required | Type | Description |
|---|---|---|---|
| optional | boolean | A boolean value indicating if the place is open at the current time. |
| optional | Array<PlaceOpeningHoursPeriod> | An array of opening periods covering seven days, starting from Sunday, in chronological order. See PlaceOpeningHoursPeriod for more information. |
| optional | Array<PlaceSpecialDay> | An array of up to seven entries corresponding to the next seven days. See PlaceSpecialDay for more information. |
| optional | string |
A type string used to identify the type of secondary hours (for
example, |
| optional | Array<string> | An array of strings describing in human-readable text the hours of the place. |
PlaceOpeningHoursPeriod
| Field | Required | Type | Description |
|---|---|---|---|
| required | PlaceOpeningHoursPeriodDetail | Contains a pair of day and time objects describing when the place opens. See PlaceOpeningHoursPeriodDetail for more information. |
| optional | PlaceOpeningHoursPeriodDetail |
May contain a pair of day and time objects describing when the place
closes. If a place is always open, the close section will be missing
from the response. Clients can rely on always-open being represented
as an open period containing day with value See PlaceOpeningHoursPeriodDetail for more information. |
PlaceSpecialDay
| Field | Required | Type | Description |
|---|---|---|---|
| optional | string | A date expressed in RFC3339 format in the local timezone for the place, for example 2010-12-31. |
| optional | boolean |
True if there are exceptional hours for this day. If
|
PlaceOpeningHoursPeriodDetail
| Field | Required | Type | Description |
|---|---|---|---|
| required | number | A number from 0–6, corresponding to the days of the week, starting on Sunday. For example, 2 means Tuesday. |
| required | string | May contain a time of day in 24-hour hhmm format. Values are in the range 0000–2359. The time will be reported in the place’s time zone. |
| optional | string | A date expressed in RFC3339 format in the local timezone for the place, for example 2010-12-31. |
| optional | boolean | True if a given period was truncated due to a seven-day cutoff, where the period starts before midnight on the date of the request and/or ends at or after midnight on the last day. This property indicates that the period for open or close can extend past this seven-day cutoff. |
PlacePhoto
A photo of a Place. The photo can be accesed via the Place Photo API using an url in the following pattern:
https://maps.googleapis.com/maps/api/place/photo?maxwidth=400&photo_reference=photo_reference&key=YOUR_API_KEY
See Place Photos for more information.
| Field | Required | Type | Description |
|---|---|---|---|
| required | number | The height of the photo. |
| required | Array<string> | The HTML attributions for the photo. |
| required | string | A string used to identify the photo when you perform a Photo request. |
| required | number | The width of the photo. |
PlaceReview
A review of the place submitted by a user.
| Field | Required | Type | Description |
|---|---|---|---|
| required | string | The name of the user who submitted the review. Anonymous reviews are attributed to "A Google user". |
| required | number | The user's overall rating for this place. This is a whole number, ranging from 1 to 5. |
| required | string | The time that the review was submitted in text, relative to the current time. |
| required | number | The time that the review was submitted, measured in the number of seconds since since midnight, January 1, 1970 UTC. |
| optional | string | The URL to the user's Google Maps Local Guides profile, if available. |
| optional | string | An IETF language code indicating the language of the returned review.This field contains the main language tag only, and not the secondary tag indicating country or region. For example, all the English reviews are tagged as 'en', and not 'en-AU' or 'en-UK' and so on.This field is empty if there is only a rating with no review text. |
| optional | string |
An IETF language code indicating the original language of the
review. If the review has been translated, then
|
| optional | string | The URL to the user's profile photo, if available. |
| optional | string |
The user's review. When reviewing a location with Google Places,
text reviews are considered optional. Therefore, this field may be
empty. Note that this field may include simple HTML markup. For
example, the entity reference |
| optional | boolean | A boolean value indicating if the review was translated from the original language it was written in.If a review has been translated, corresponding to a value of true, Google recommends that you indicate this to your users. For example, you can add the following string, “Translated by Google”, to the review. |